# Method: inappproducts.get

- [HTTP request](https://developers.google.com/android-publisher/api-ref/rest/v3/inappproducts/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/inappproducts/get#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/android-publisher/api-ref/rest/v3/inappproducts/get#body.request_body)
- [Response body](https://developers.google.com/android-publisher/api-ref/rest/v3/inappproducts/get#body.response_body)
- [Authorization scopes](https://developers.google.com/android-publisher/api-ref/rest/v3/inappproducts/get#body.aspect)
- [Try it!](https://developers.google.com/android-publisher/api-ref/rest/v3/inappproducts/get#try-it)

Gets an in-app product, which can be a managed product or a subscription.

This method should no longer be used to retrieve subscriptions. See [this article](https://android-developers.googleblog.com/2023/06/changes-to-google-play-developer-api-june-2023.html) for more information.

### HTTP request

`GET https://androidpublisher.googleapis.com/androidpublisher/v3/applications/{packageName}/inappproducts/{sku}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `packageName` | `string` Package name of the app. |
| `sku` | `string` Unique identifier for the in-app product. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/android-publisher/api-ref/rest/v3/inappproducts#InAppProduct`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`